<div class="login-page">
    <ngx-spinner></ngx-spinner>
    <div class="row justify-content-md-center1">
        <div class="col-md-8 col-sm-6 col-lg-4 offset-sm-3 offset-md-2 offset-lg-4 ">
            <div class="logInBox">
                <div class="header">
                    <h1>Signup</h1>
                </div>
                <form ng role="form" [formGroup]="signupForm" method="post">
                    <div class="form-content">
                        <div class="form-group">
                            <input type="text" formControlName="employeeId" class="form-control input-underline input-lg" placeholder="Employee Id">
                            <div *ngIf="signupForm.controls['employeeId'].dirty && signupForm.controls['employeeId'].invalid">
                                <p class="form_error" *ngIf="signupForm.controls['employeeId'].dirty && signupForm.controls['employeeId'].hasError('required')">Please
                                    enter Employee Id.</p>
                                <p class="form_error" *ngIf="signupForm.controls['employeeId'].dirty && signupForm.controls['employeeId'].hasError('pattern')">Please
                                    enter the correct  Employee Id.</p>
                                    <p class="form_error"
                                    *ngIf="signupForm.controls['employeeId'].dirty && signupForm.controls['employeeId'].hasError('maxlength')">
                                    Employee Id must contain only 6 characters</p>
                                <p class="form_error"
                                    *ngIf="signupForm.controls['employeeId'].dirty && signupForm.controls['employeeId'].hasError('minlength')">
                                    Employee Id must contain atleast 4 characters</p>
                            </div>
                        </div>
                        <div class="form-group">
                            <input type="text" formControlName="username" class="form-control input-underline input-lg" placeholder="Username">
                            <div *ngIf="signupForm.controls['username'].dirty && signupForm.controls['username'].invalid">
                                <p class="form_error" *ngIf="signupForm.controls['username'].dirty && signupForm.controls['username'].hasError('required')">Please
                                    enter Username.</p>
                                <p class="form_error" *ngIf="signupForm.controls['username'].dirty && signupForm.controls['username'].hasError('pattern')">Please
                                    enter the correct  Username.</p>
                                    <p class="form_error"
                                    *ngIf="signupForm.controls['username'].dirty && signupForm.controls['username'].hasError('maxlength')">
                                    Username must contain only 10 characters</p>
                                <p class="form_error"
                                    *ngIf="signupForm.controls['username'].dirty && signupForm.controls['username'].hasError('minlength')">
                                    Username must contain atleast 4 characters</p>
                            </div>
                        </div>
                        <div class="form-group">
                            <input type="text" formControlName="email" class="form-control input-underline input-lg" placeholder="Email">
                            <div *ngIf="signupForm.controls['email'].dirty && signupForm.controls['email'].invalid">
                                <p class="form_error" *ngIf="signupForm.controls['email'].dirty && signupForm.controls['email'].hasError('required')">Please
                                    enter Email.</p>
                                <p class="form_error" *ngIf="signupForm.controls['email'].dirty && signupForm.controls['email'].hasError('pattern')">Please
                                    enter the correct  Email.</p>
                            </div>
                        </div>


                        <div class="form-group">
                            <input type="password" class="form-control input-underline input-lg" formControlName="password" placeholder="Password">
                            <div *ngIf="signupForm.controls['password'].dirty && signupForm.controls['password'].invalid">
                                <p class="form_error" *ngIf="signupForm.controls['password'].hasError('required')">Please
                                    enter password.</p>
                            </div>
                        </div>

                    </div>
                    <div class="footerBtn">
                        <button class="btn btn-primary" [disabled]="!signupForm.valid" (click)="signUp()">Register</button>
                        &nbsp;
                        <a  class="btn btn-default " [routerLink]="['/']">Login</a>
                    </div>
                </form>
            </div>
        </div>
    </div>

</div>